Skip to main content
PUT
/
entitlements
/
{entitlementId}
Create or replace an entitlement
curl --request PUT \
  --url https://sandbox-api.finpace.example/v1/entitlements/{entitlementId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entitlementId": "ent_01JQ9KSC2NQJ6X5CC8CKBRQP7Z",
  "subjectId": "usr_239809",
  "resourceType": "agreement",
  "action": "payment.initiate",
  "scope": "owning-party",
  "resourceId": "agr_01JQ9KQ2TX9H3FXA84W2T44GM6",
  "status": "active",
  "approvalState": "approved"
}
'
{
  "entitlementId": "ent_01JQ9KSC2NQJ6X5CC8CKBRQP7Z",
  "subjectId": "usr_239809",
  "resourceType": "agreement",
  "action": "payment.initiate",
  "scope": "owning-party",
  "resourceId": "agr_01JQ9KQ2TX9H3FXA84W2T44GM6",
  "status": "active",
  "approvalState": "approved"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

entitlementId
string
required

Body

application/json
entitlementId
string
required
Example:

"ent_01JQ9KSC2NQJ6X5CC8CKBRQP7Z"

subjectId
string
required
Example:

"usr_239809"

resourceType
string
required
Example:

"agreement"

action
string
required
Example:

"payment.initiate"

scope
string
required
Example:

"owning-party"

resourceId
string
Example:

"agr_01JQ9KQ2TX9H3FXA84W2T44GM6"

status
enum<string>
Available options:
active,
suspended
approvalState
enum<string>
Available options:
approved,
pending,
rejected

Response

Entitlement saved

entitlementId
string
required
Example:

"ent_01JQ9KSC2NQJ6X5CC8CKBRQP7Z"

subjectId
string
required
Example:

"usr_239809"

resourceType
string
required
Example:

"agreement"

action
string
required
Example:

"payment.initiate"

scope
string
required
Example:

"owning-party"

resourceId
string
Example:

"agr_01JQ9KQ2TX9H3FXA84W2T44GM6"

status
enum<string>
Available options:
active,
suspended
approvalState
enum<string>
Available options:
approved,
pending,
rejected